import click
from flask.cli import with_appcontext

from .database import db
from .factories import ProjectFactory


@click.command("populate_dev", help="Create a few projects in the database.")
@with_appcontext
def populate_dev():
    ProjectFactory.create_batch(size=4, proposer="adumble")


@click.command("drop_all", help="Drop all tables in the specified database.")
@with_appcontext
def drop_all():
    db.drop_all()
