import os


class BaseConfig:
    """Base configuration extended by environment-specific subclasses."""

    # Secret Keys ===============================================
    SECRET_KEY = os.environ.get("SECRET_KEY", "dev_secret_key")

    # LDAP Service ==============================================
    LDAP_URL = "ldaps://ldaps-vip.cc.ic.ac.uk:636"
    LDAP_DN = "OU=Users,OU=Imperial College (London),DC=ic,DC=ac,DC=uk"

    # Database ===================================================
    SQLALCHEMY_TRACK_MODIFICATIONS = True
    SQLALCHEMY_DATABASE_URI = os.environ.get("DB_OVERRIDE", "sqlite:///dev.db")


class DevConfig(BaseConfig):
    DEBUG = True


class StagingConfig(BaseConfig):
    pass


class ProductionConfig(BaseConfig):
    SQLALCHEMY_DATABASE_URI = os.environ.get("DB_URL")
