from flask_wtf import FlaskForm
from wtforms import BooleanField, StringField, TextAreaField
from wtforms.validators import DataRequired, ValidationError


class ProjectForm(FlaskForm):
    title = StringField("Title", validators=[DataRequired()])
    description = TextAreaField("Description", validators=[DataRequired()])
    is_student_proposal = BooleanField("Student Proposal", default=False)
    on_behalf = StringField("from", default=None)

    def validate_on_behalf(self, field):
        if self.is_student_proposal.data and not field.data:
            raise ValidationError(
                "Student proposer cannot be empty if project is marked as student proposal."
            )
