from ..database import db
from .dialect_compatibility import utcnow


class Project(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    proposer = db.Column(db.String)
    on_behalf = db.Column(db.String)
    title = db.Column(db.String)
    description = db.Column(db.String)
    timestamp = db.Column(db.DateTime, nullable=False, server_default=utcnow())
    deleted = db.Column(db.DateTime)

    shortlistings = db.relationship(
        "Shortlisting", backref="project", lazy=True, cascade="all,delete-orphan"
    )

    def is_student_proposal(self) -> bool:
        return self.on_behalf is not None
