from sqlalchemy import Sequence

from ..database import db

RANKING_SEQUENCE = Sequence("shortlisting_ranking_seq")
STAFF_RANKING_SEQUENCE = Sequence("shortlisting_staff_ranking_seq")


class Shortlisting(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    project_id = db.Column(db.Integer, db.ForeignKey("project.id"), nullable=False)
    student = db.Column(db.String)
    ranking = db.Column(
        db.Integer,
        RANKING_SEQUENCE,
        server_default=RANKING_SEQUENCE.next_value(),
        nullable=False,
    )
    staff_ranking = db.Column(
        db.Integer,
        STAFF_RANKING_SEQUENCE,
        server_default=STAFF_RANKING_SEQUENCE.next_value(),
        nullable=False,
    )
