"""Add staff_ranking column

Revision ID: ce0f2fd42857
Revises: d009c2b07eed
Create Date: 2022-08-24 10:13:42.707243

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
from sqlalchemy import Sequence
from sqlalchemy.sql.ddl import DropSequence, CreateSequence

revision = "ce0f2fd42857"
down_revision = "d009c2b07eed"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(CreateSequence(Sequence("shortlisting_staff_ranking_seq")))
    op.add_column(
        "shortlisting",
        sa.Column(
            "staff_ranking",
            sa.Integer(),
            server_default=sa.text("nextval('shortlisting_staff_ranking_seq')"),
            nullable=False,
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("shortlisting", "staff_ranking")
    op.execute(DropSequence(Sequence("shortlisting_staff_ranking_seq")))
    # ### end Alembic commands ###
